4 berichten aan het bekijken - 1 tot 4 (van in totaal 4)
  • Q:
    Bijdrager
    fibe

    mod_ruby installeren op Apache2

    Ik volg deze instructies:

    http://wiki.modruby.net/en/?InstallGuide

    maar bij de make krijg ik deze error:

    [code:1:3611453d6c]collect2: ld returned 1 exit status
    make: *** [mod_ruby.so] Error1[/code:1:3611453d6c]

    Mijn Apache 2 heb ik wel in een custom directory geïnstalleerd.
    Daarom gebruik ik voor de configure:

    [code:1:3611453d6c]./configure.rb –with-apxs=/library/apache2/bin/apxs[/code:1:3611453d6c]

    Wat kan ik nog proberen?

    Bijdrager
    Dengar

    Waarschijnlijk missen er enkele libraries, post is een groter gedeelte van de fout.

    Trouwens, ik zou gebruikmaken van mongrel. Veel sneller en makkelijker te gebruiken dan ruby via apache.

    Bijdrager
    fibe

    Het probleem is dat alles al draait op apache.
    Ook php, webdav en andere extenties heb ik tegelijkertijd nodig.

    Bijdrager
    Dengar

    In dit geval zou ik gebruiken maken van FastCGI. Hier een uitleg hoe dat te installeren: http://xmlareas.com/ruby-rails-howto.html

4 berichten aan het bekijken - 1 tot 4 (van in totaal 4)

Je moet ingelogd zijn om een reactie op dit onderwerp te kunnen geven.